package com.magistr.app.repository;

import com.magistr.app.model.Speciality;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;
import java.util.List;

public interface SpecialtiesRepository extends JpaRepository<Speciality, Long> {

    Optional<Speciality> findBySpecialityName(String specialityName);

    Optional<Speciality> findBySpecialityCode(String specialityCode);

    List<Speciality> findByStatusNot(String status);
}
